Bug 506405 - automated installation - cobbler is asking about services
automated installation - cobbler is asking about services
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Partha Aji
Brad Buckingham
: Regression
Depends On:
Blocks: 457075 486216
  Show dependency treegraph
 
Reported: 2009-06-17 02:41 EDT by Jan Hutař
Modified: 2009-09-10 14:16 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:16:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-06-17 02:41:27 EDT
Description of problem:
There should be way how to automate tftp/xinetd enablement. While running unatended Satellite install, Cobbler is asking me and I do not know a way how to automate the answer (well, I could do `echo "y" | ./install.pl ...`, but that did not seem to be a good way how to do it).

In /usr/bin/cobbler-setup:
    q = "Cobbler requires tftp and xinetd services be turned on for PXE provisioning functionality. Enable these services"
    if ask_yes_no(q, 'y'):
        system("chkconfig tftp on")
        system('chkconfig xinetd on')


Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090612.0-x86_64


How reproducible:
always


Steps to Reproduce:
1. # ./install.pl


Actual results:
Something like:
[...]
* Setting up Cobbler..
Cobbler requires tftp and xinetd services be turned on for PXE provisioning functionality. Enable these services [y/n]:


Expected results:
Something like:
[...]
* Setting up Cobbler..
** Enabling tftp and xinetd services as per answers.txt config option xyz.


Additional info:
This is currently a blocker for a Satellite RHTS automation.
Comment 2 Partha Aji 2009-06-17 16:29:19 EDT
Should be resolved in the next push. http://git.fedorahosted.org/git/?p=spacewalk.git;a=commit;h=f2dfc55fb40254c6bffbccac796b4ceb08dd2abc

you can now add a "enable-tftp=y" or "enable-tftp=n" flag in your answers file to fix this.. On the other hand if you specify the --non-interactive install and do not specify a value for enable-tftp it will assume the user wants the service enabled and not prompt.
Comment 3 Brad Buckingham 2009-06-30 12:25:15 EDT
Satellite-5.3.0-RHEL5-re20090625.0-i386-embedded-oracle.iso

verified:
- enable-tftp=y in answers file does enable tftp on install
- enable-tftp=n in answers file does not enable tftp on install
- no enable-tftp in answers file and --non-interactive does enable tftp on install
Comment 4 Tomas Lestach 2009-08-06 10:12:03 EDT
When using --enable-tftp option for the install.pl script, Cobbler doesn't stop the installation with a question whether to enable tftp and xinetd.

--enable-tftp=yes (tftp will be correctly enabled via xinetd)
--enable-tftp=no (tftp wont' be enabled via via xinetd)

When not using --enable-tftp option with an answer file, Cobbler doesn't stop the installation and services are correctly enabled.

Stage validated -> RELEASE_PENDING.
Comment 5 Brandon Perkins 2009-09-10 14:16:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.